=== debian/changelog ===
slof (20120217+dfsg-1) unstable; urgency=low

  * Initial release based (closes: #687892).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 16 Sep 2012 23:05:23 +0200
