=== debian/control ===
Source: slof
Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>
Section: misc
Priority: extra
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.3
Vcs-Browser: http://git.debian.org/?p=pkg-qemu/slof.git
Vcs-Git: git://git.debian.org/git/pkg-qemu/slof.git

Package: qemu-slof
Architecture: all
Depends: ${misc:Depends}
Suggests: qemu
Description: Slimline Open Firmware -- QEMU PowerPC version
 Slimline Open Firmware (SLOF) is an implementation of the IEEE 1275
 standard. It can be used as partition firmware for pSeries machines 
 running on QEMU or KVM.
