## slof 20130430+dfsg

=== debian/changelog ===
slof (20130430+dfsg-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Since Ubuntu always builds Architecture: all packages on i386, build
      using a cross-compiler.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Thu, 09 May 2013 11:34:07 +0530

slof (20130430+dfsg-1) unstable; urgency=low

  * New upstream snapshot for the QEMU 1.5.x releases.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 06 May 2013 20:42:28 +0200

slof (20121018+dfsg-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Since Ubuntu always builds Architecture: all packages on i386, build
      using a cross-compiler.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 04 May 2013 20:41:17 -0400

slof (20121018+dfsg-1) unstable; urgency=low

  * New upstream snapshot corresponding to the version released with QEMU
    1.4.0.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 24 Mar 2013 23:06:35 +0100

slof (20120217+dfsg-1ubuntu1) raring; urgency=low

  * Since Ubuntu always builds Architecture: all packages on i386, build
    using a cross-compiler.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 19 Mar 2013 12:56:23 +0000
