=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: slof
-Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
 Uploaders: Aurelien Jarno <aurel32@debian.org>
 Section: misc
 Priority: extra
-Build-Depends: debhelper (>= 7)
+Build-Depends: debhelper (>= 7), gcc-powerpc-linux-gnu
 Standards-Version: 3.9.3
 Vcs-Browser: http://git.debian.org/?p=pkg-qemu/slof.git
 Vcs-Git: git://git.debian.org/git/pkg-qemu/slof.git
