=== board-qemu/slof/Makefile ===
--- 
+++ 
@@ -20,20 +20,28 @@
 all: Makefile.dep OF.ffs paflof $(SLOFCMNDIR)/xvect.bin
 
 CPPFLAGS = -I$(LIBCMNDIR)/libbootmsg -I$(LIBCMNDIR)/libhvcall \
-	   -I$(LIBCMNDIR)/libvirtio -I$(LIBCMNDIR)/libnvram
+	   -I$(LIBCMNDIR)/libvirtio -I$(LIBCMNDIR)/libnvram \
+	   -I$(LIBCMNDIR)/libusb -I$(LIBCMNDIR)/libveth \
+	   -I$(LIBCMNDIR)/libe1k
 SLOF_LIBS = \
 	$(LIBCMNDIR)/libbootmsg.a \
 	$(LIBCMNDIR)/libelf.a \
 	$(LIBCMNDIR)/libhvcall.a \
 	$(LIBCMNDIR)/libvirtio.a \
-	$(LIBCMNDIR)/libnvram.a
+	$(LIBCMNDIR)/libusb.a \
+	$(LIBCMNDIR)/libnvram.a \
+	$(LIBCMNDIR)/libveth.a \
+	$(LIBCMNDIR)/libe1k.a
 BOARD_SLOF_IN = \
 	$(LIBCMNDIR)/libhvcall/hvcall.in \
 	$(LIBCMNDIR)/libvirtio/virtio.in \
+	$(LIBCMNDIR)/libusb/usb.in \
 	$(LIBCMNDIR)/libbootmsg/bootmsg.in \
 	$(LIBCMNDIR)/libelf/libelf.in \
 	$(LIBCMNDIR)/libnvram/libnvram.in \
-	$(LIBCMNDIR)/libbases/libbases.in
+	$(LIBCMNDIR)/libbases/libbases.in \
+	$(LIBCMNDIR)/libveth/veth.in \
+	$(LIBCMNDIR)/libe1k/e1k.in
 BOARD_SLOF_CODE = $(BOARD_SLOF_IN:%.in=%.code)
 
 include $(SLOFCMNDIR)/Makefile.inc
@@ -43,29 +51,28 @@
 USB_FFS_FILES = \
 	$(SLOFCMNDIR)/fs/devices/pci-class_02.fs \
 	$(SLOFCMNDIR)/fs/devices/pci-class_0c.fs \
-	$(SLOFCMNDIR)/fs/usb/usb-ohci.fs \
-	$(SLOFCMNDIR)/fs/usb/usb-support.fs \
-	$(SLOFCMNDIR)/fs/usb/usb-hub.fs \
-	$(SLOFCMNDIR)/fs/usb/usb-enumerate.fs \
-	$(SLOFCMNDIR)/fs/usb/usb-storage.fs \
-	$(SLOFCMNDIR)/fs/usb/usb-storage-support.fs \
-	$(SLOFCMNDIR)/fs/usb/usb-storage-wrapper.fs \
-	$(SLOFCMNDIR)/fs/usb/usb-keyboard.fs \
-	$(SLOFCMNDIR)/fs/usb/usb-kbd-device-support.fs \
-	$(SLOFCMNDIR)/fs/usb/usb-mouse.fs \
-	$(SLOFCMNDIR)/fs/scsi-support.fs
+	$(SLOFCMNDIR)/fs/usb/dev-hci.fs \
+	$(SLOFCMNDIR)/fs/usb/slofdev.fs \
+	$(SLOFCMNDIR)/fs/usb/dev-parent-calls.fs \
+	$(SLOFCMNDIR)/fs/usb/dev-keyb.fs \
+	$(SLOFCMNDIR)/fs/usb/dev-mouse.fs \
+	$(SLOFCMNDIR)/fs/usb/dev-storage.fs \
+	$(SLOFCMNDIR)/fs/usb/dev-hub.fs
+
 
 VIO_FFS_FILES = \
 	$(SLOFBRDDIR)/pci-device_1af4_1000.fs \
 	$(SLOFBRDDIR)/pci-device_1af4_1001.fs \
+	$(SLOFBRDDIR)/pci-device_1af4_1004.fs \
 	$(SLOFBRDDIR)/pci-device_1af4_1009.fs \
 	$(SLOFBRDDIR)/vio-hvterm.fs \
 	$(SLOFBRDDIR)/vio-vscsi.fs \
-	$(SLOFBRDDIR)/vio-vscsi-device.fs \
 	$(SLOFBRDDIR)/vio-veth.fs \
+	$(SLOFBRDDIR)/rtas-nvram.fs \
 	$(SLOFBRDDIR)/virtio-net.fs \
 	$(SLOFBRDDIR)/virtio-block.fs \
-	$(SLOFBRDDIR)/virtio-fs.fs
+	$(SLOFBRDDIR)/virtio-fs.fs \
+	$(SLOFBRDDIR)/virtio-scsi.fs
 
 # Files that should go into the ROM fs (and so have to be listed in OF.ffs):
 OF_FFS_FILES = \
@@ -78,11 +85,17 @@
 	$(SLOFCMNDIR)/fs/pci-config-bridge.fs \
 	$(SLOFCMNDIR)/fs/update_flash.fs \
 	$(SLOFCMNDIR)/fs/xmodem.fs \
+	$(SLOFCMNDIR)/fs/scsi-disk.fs \
+	$(SLOFCMNDIR)/fs/scsi-host-helpers.fs \
+	$(SLOFCMNDIR)/fs/scsi-probe-helpers.fs \
+	$(SLOFCMNDIR)/fs/scsi-support.fs \
 	$(SLOFBRDDIR)/default-font.bin \
 	$(SLOFBRDDIR)/pci-phb.fs \
 	$(SLOFBRDDIR)/rtas.fs \
 	$(SLOFBRDDIR)/pci-device_1234_1111.fs \
 	$(SLOFBRDDIR)/pci-device_1013_00b8.fs \
+	$(SLOFBRDDIR)/pci-device_8086_100e.fs \
+	$(SLOFBRDDIR)/e1k.fs \
 	$(FCODE_FFS_FILES)
 
 # Uncomment the following line to enable the USB code:
