=== debian/changelog ===
slof (20131015+dfsg-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Since Ubuntu always builds Architecture: all packages on i386, build
      using a cross-compiler.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 11 Dec 2013 00:00:46 -0500

slof (20131015+dfsg-1) unstable; urgency=low

  * New upstream snapshot for the QEMU 1.7.x releases.
  * Mark qemu-slof as Multi-Arch: foreign.
  * Bump Standards-Version to 3.9.5.0 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 29 Nov 2013 03:48:29 +0100
