=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Section: misc
 Priority: extra
 Build-Depends: debhelper (>= 7), gcc-powerpc-linux-gnu
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5.0
 Vcs-Browser: http://git.debian.org/?p=pkg-qemu/slof.git
 Vcs-Git: git://git.debian.org/git/pkg-qemu/slof.git
 
 Package: qemu-slof
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: qemu
 Description: Slimline Open Firmware -- QEMU PowerPC version
