=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-arch build-indep

build-arch:
# We have nothing to do by default.

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir

	$(MAKE) -C $(CURDIR)/debian/spapr-rtas CROSS=powerpc-linux-gnu-
	$(MAKE) qemu CROSS=powerpc-linux-gnu-
	touch build-indep-stamp

clean:
	dh_testdir
	dh_testroot
	$(MAKE) distclean
	$(MAKE) -C $(CURDIR)/debian/spapr-rtas clean
	rm -f *-stamp
	dh_clean

install: build-indep
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	mkdir -p $(CURDIR)/debian/qemu-slof/usr/share/slof
	install -m 644 $(CURDIR)/boot_rom.bin $(CURDIR)/debian/qemu-slof/usr/share/slof/slof.bin
	install -m 644 $(CURDIR)/debian/spapr-rtas/spapr-rtas.bin $(CURDIR)/debian/qemu-slof/usr/share/slof/spapr-rtas.bin


# Build architecture-independent files here.
binary-indep: build-indep install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb -- -Zxz

# Build architecture-dependent files here.
binary-arch: build-indep install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install
