=== lib/libhvcall/Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 all: $(TARGET)
 
-SRCS = 
+SRCS = brokensc1.c
 SRCSS = hvcall.S
