=== debian/changelog ===
slof (20140630+dfsg-1) unstable; urgency=low

  * New upstream snapshot for the QEMU 2.1.x releases.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 02 Aug 2014 12:04:28 +0000
