=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: slof
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
+Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
 Uploaders: Aurelien Jarno <aurel32@debian.org>
 Section: misc
 Priority: extra
-Build-Depends: debhelper (>= 7), gcc-powerpc-linux-gnu
+Build-Depends: debhelper (>= 7)
 Standards-Version: 3.9.5.0
 Vcs-Browser: http://git.debian.org/?p=pkg-qemu/slof.git
 Vcs-Git: git://git.debian.org/git/pkg-qemu/slof.git
