=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+DEB_BUILD_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)
 
 build: build-arch build-indep
 
@@ -14,8 +16,13 @@
 build-indep-stamp:
 	dh_testdir
 
-	$(MAKE) -C $(CURDIR)/debian/spapr-rtas CROSS=powerpc-linux-gnu-
-	$(MAKE) qemu CROSS=powerpc-linux-gnu-
+ifneq ($(DEB_BUILD_ARCH_CPU),powerpc)
+	@echo "This package must be built on a PowerPC machine"
+	@false
+endif
+
+	$(MAKE) -C $(CURDIR)/debian/spapr-rtas
+	$(MAKE) qemu CROSS=""	
 	touch build-indep-stamp
 
 clean:
