## slof 20151103%2Bdfsg

=== debian/changelog ===
slof (20151103+dfsg-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Support building using a cross-compiler.
  * Add XS-Build-Indep-Architecture: powerpc to debian/control as well, so
    that we build on powerpc in Launchpad and don't need the cross-compiler
    by default (making this upstreamable to Debian).
  * Since the package can now be cross- or natively-built, and there is no
    package that provides gcc-powerpc-linux-gnu on powerpc, drop this
    build-dependency.  Those who are cross-building will just need to install
    the cross-compiler by hand.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 29 Jan 2016 10:16:41 -0800

slof (20151103+dfsg-1) unstable; urgency=medium

  * New upstream snapshot for the QEMU 2.5.x releases.
  * Switch Vcs-* field to their canonical locations.
  * Update debian/copyright with the new homepage and add it to
    debian/control.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 09 Jan 2016 02:21:02 +0100

slof (20150429+dfsg-1) unstable; urgency=medium

  * New upstream snapshot for the QEMU 2.4.x releases.
  * Rewrite debian/rules using dh.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 12 Sep 2015 21:56:42 +0200

slof (20150313+dfsg-1) unstable; urgency=medium

  * New upstream snapshot for the QEMU 2.3.x releases.
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 15 May 2015 15:19:47 +0200

slof (20140630+dfsg-1ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Since Ubuntu always builds Architecture: all packages on i386, build
      using a cross-compiler.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 13 Aug 2014 08:35:41 -0500
